Skip to content
For LLMsView as Markdown·

Set states in bulk ​

http
POST https://api.onehazel.com/operator-data-api/batch/states

Section: Data ingestion
Operation id: postOperatorDataApiBatchStates

Authentication ​

Operator API key (Authorization: Bearer oh_live_...).

Request body ​

JSON object.

Responses ​

200 { "success": true, "data": ... }

Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.

Example ​

bash
curl -X POST "https://api.onehazel.com/operator-data-api/batch/states" \
  -H "Authorization: Bearer oh_live_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

Machine-readable: openapi.yaml, openapi.json.